WS 10.x, WS 11.0-WS 11.3.2 | CRQ-11093 | New upgrade scripts for all WorldServer versions

Description:
The upgrade scripts included in this hotfix have been updated to ensure convergence across versions and to increase robustness. Moreover, the upgrade from WorldServer 11.2 to 11.3 no longer makes your database schema invalid if you do not have the Default TM on your environment.

Use these scripts if you want to upgrade the version of your WorldServer database schema, regardless of the version from which and to which you are upgrading.

Resolution:
The upgrade scripts are available on FTP, along with a .jar file that contains various fixes in the 11.3.2 testschema database validation class. You can find additional instructions for validating WorldServer 11.3.2 databases in the readme.txt file.

If you cannot upgrade, connect to the Customer Support Web Portal and log a case. You need an account to log a case. If you do not have an account, contact your company's SDL Support Account Administrator.

  •  Please accept our most sincere apologies for the inconvenience.

    Thank you for notifying us about the issue you were still having, we have reevaluated the old fix we have provided, located and fixed the problem.

    The fix has been replaced on our FTP, please download it again and retry.

    Kind Regards,

    Raul Ravaru

  • If i already have a database on 11.3.2, is there something i can/should do to leverage the changes?

  • Hello ,

    Good question!

    If your upgrade was successful and your 11.3.2 database works as expected, you don't need to do anything. The scripts were meant to fix an issue caused by the upgrade to 11.3, but only on certain environments.

    These changes will most likely be included in the upgrade scripts from 11.3 to 11.4 as well.

    Please let me know if you have any other questions.

    Best regards,

    Paul